/* ========================================================================= */
/* DATOS =================================================================== */
/* ========================================================================= */

var game = { name: "Monumentos histórico-artísticos y arquitectura Canaria", picture: "images/games/monumentos.png", color: "game-monumentos", resHeight : false};

var categories = [
	{ name: 'Arquitectura Religiosa', score: 1 }, 			// categoriesId[0]
	{ name: 'Arquitectura Militar', score: 1 }, 			// categoriesId[1]
	{ name: 'Arquitectura civil', score: 1 }, 				// categoriesId[2]
	{ name: 'Arquitectura tradicional', score: 3 }, 		// categoriesId[3]
	{ name: 'Monumentos naturales', score: 3 }, 			// categoriesId[4]
	{ name: 'Un poco de arqueología', score: 4 }, 			// categoriesId[5]
	{ name: 'Estoy situado en', score: 5, description: '<span class="span-description">Escribe en la tarjeta la isla en la que se encuentran los monumentos naturales, históricos o artísticos. Distingue entre:<br/></span><b>Gran Canaria</b>, <b>Fuerteventura</b>, <b>Lanzarote</b>, <b>Tenerife</b>, <b>La Palma</b>, <b>La Gomera</b>, o <b>El Hierro</b>'  }, 		// categoriesId[6]
	{ name: 'Mi ciudad', score: 5, description: '<span class="span-description">Une como <b>máximo 5</b> cartas y crea tu propia ciudad.' } 				// categoriesId[7]
];

// Añadimos el campo special edit a la categoría Estoy situado en
_.extend(categories[6], { special: {edit: true} });

var categoriesId = [];

// Asignamos un id único a cada categoría y lo guardamos
_.each(categories, function (category) {
	var id = _.uniqueId('category_');
	categoriesId.push(id);
	_.extend(category, {_id: id});
});

var items = [
	// { name: '', picture: 'images/items/.png', color: '', categoriesId: [ categoriesId[] ], resHeight: false },

	{ name: 'Vivienda rural', picture: 'images/items/casa-rural.png', color: 'light-cyan', categoriesId: [categoriesId[3]], resHeight: false },					// itemsId[0]
	{ name: 'Ventana vivienda rural', picture: 'images/items/ventana.png', color: 'dark-green', categoriesId: [categoriesId[3]], resHeight: true},				// itemsId[1]
	{ name: 'Chimenea tradicional', picture: 'images/items/chimenea.png', color: 'dark-cyan', categoriesId: [categoriesId[3]], resHeight: true },						// itemsId[2]
	{ name: 'Lagar', picture: 'images/items/lagar.png', color: 'light-cyan', categoriesId: [categoriesId[3]], resHeight: false },										// itemsId[3]
	{ name: 'Riscos. Casas de colores', picture: 'images/items/casas-colores.png', color: 'light-purple', categoriesId: [categoriesId[2],categoriesId[6]], resHeight: false },			// itemsId[4]
	{ name: 'Castillo de Guanapay', picture: 'images/items/castillo-guanapay.png', color: 'light-pink', categoriesId: [categoriesId[1],categoriesId[6]], resHeight: false },						// itemsId[5]
	{ name: 'Castillo de San Miguel', picture: 'images/items/castillo-san-miguel.png', color: 'light-cyan', categoriesId: [categoriesId[1],categoriesId[6]], resHeight: false },				// itemsId[6]
	{ name: 'Castillo de la Luz', picture: 'images/items/castillo-luz.png', color: 'light-yellow', categoriesId: [categoriesId[1],categoriesId[6]], resHeight: false },						// itemsId[7]
	{ name: 'Castillo de San José', picture: 'images/items/castillo-san-jose.png', color: 'dark-orange', categoriesId: [categoriesId[1],categoriesId[6]], resHeight: false},									// itemsId[8]
	{ name: 'Torre del Conde', picture: 'images/items/torre-conde.png', color: 'dark-cyan', categoriesId: [categoriesId[1],categoriesId[6]], resHeight: false },									// itemsId[9]
	{ name: 'Iglesia de El Salvador', picture: 'images/items/iglesia-salvador.png', color: 'normal-cyan', categoriesId: [categoriesId[0],categoriesId[6]], resHeight: false },							// itemsId[10]
	{ name: 'Iglesia de Nº Sra. de la Asunción', picture: 'images/items/iglesia-asuncion.png', color: 'dark-green', categoriesId: [categoriesId[0],categoriesId[6]], resHeight: false },								// itemsId[11]
	{ name: 'E. de la Virgen de los Reyes', picture: 'images/items/ermita-reyes.png', color: 'normal-pink', categoriesId: [categoriesId[0],categoriesId[6]], resHeight: false },										// itemsId[12]
	{ name: 'Ermita de San Antonio Abad', picture: 'images/items/ermita-abad.png', color: 'light-yellow', categoriesId: [categoriesId[0],categoriesId[6]], resHeight: true },		// itemsId[13]
	{ name: 'Ermita Virgen de los Dolores', picture: 'images/items/ermita-dolores.png', color: 'dark-green', categoriesId: [categoriesId[0],categoriesId[6]], resHeight: false },								// itemsId[14]
	{ name: 'Auditorio Alfredo Kraus', picture: 'images/items/auditorio-gran-canaria.png', color: 'normal-orange', categoriesId: [categoriesId[2],categoriesId[6]], resHeight: false},						// itemsId[15]
	{ name: 'Auditorio Adán Martín', picture: 'images/items/martin.png', color: 'light-cyan', categoriesId: [categoriesId[2],categoriesId[6]], resHeight: false },				// itemsId[16]
	{ name: 'Presa de Soria', picture: 'images/items/presa-soria.png', color: 'normal-green', categoriesId: [categoriesId[2],categoriesId[6]], resHeight: false },								// itemsId[17]
	{ name: 'Faro de Orchilla', picture: 'images/items/orchilla.png', color: 'normal-orange', categoriesId: [categoriesId[2],categoriesId[6]], resHeight: false },						// itemsId[18]
	{ name: 'Faro de la Entallada', picture: 'images/items/faro-entallada.png', color: 'normal-pink', categoriesId: [categoriesId[2],categoriesId[6]], resHeight: false },					// items[19]
	{ name: 'Los Jameos del Agua', picture: 'images/items/jameos-agua.png', color: 'light-yellow', categoriesId: [categoriesId[4],categoriesId[6]], resHeight: false },				// itemsId[20]
	{ name: 'Roque de los muchachos', picture: 'images/items/roque-muchachos.png', color: 'normal-cyan', categoriesId: [categoriesId[4],categoriesId[6]], resHeight: false },				// itemsId[21]
	{ name: 'Casa de los Coroneles', picture: 'images/items/casa-coroneles.png', color: 'light-purple', categoriesId: [categoriesId[1],categoriesId[6]], resHeight: false },				// itemsId[22]
	{ name: 'Pozo de la salud', picture: 'images/items/pozo-salud.png', color: 'light-green', categoriesId: [categoriesId[3],categoriesId[6]], resHeight: true },				// itemsId[23]
	{ name: 'Molinos de viento', picture: 'images/items/molinos.png', color: 'dark-cyan', categoriesId: [categoriesId[3],categoriesId[6]], resHeight: true },				// itemsId[24]
	{ name: 'Cenobio de Valerón', picture: 'images/items/cenobio-valeron.png', color: 'normal-purple', categoriesId: [categoriesId[5],categoriesId[6]], resHeight: false },				// itemsId[25]
	{ name: 'Cueva pintada', picture: 'images/items/cueva-pintada.png', color: 'light-yellow', categoriesId: [categoriesId[5],categoriesId[6]], resHeight: false },				// itemsId[26]
	{ name: 'Roque Nublo', picture: 'images/items/roque-nublo.png', color: 'light-purple', categoriesId: [categoriesId[4],categoriesId[6]], resHeight: false },				// itemsId[27]
	{ name: 'Los Órganos', picture: 'images/items/organos.png', color: 'normal-pink', categoriesId: [categoriesId[4],categoriesId[6]], resHeight: false }				// itemsId[28]
];

// Añadimos el campo especial edit a todos los items editables
_.each([4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28], function (pos) {
	_.extend(items[pos], { special: {edit: []} });
});

// Añadimos a los campos special edit el valor(es) correspondiente(s) de cada item
_.each([19,22,24], function (pos) {
	items[pos].special.edit.push('fuerteventura');
});

_.each([5,8,14,20], function (pos) {
	items[pos].special.edit.push('lanzarote');
});

_.each([4,7,13,15,17,25,26,27], function (pos) {
	items[pos].special.edit.push('gran canaria');
});

_.each([6,16], function (pos) {
	items[pos].special.edit.push('tenerife');
});

_.each([9,11,28], function (pos) {
	items[pos].special.edit.push('la gomera');
});

_.each([12,18,23], function (pos) {
	items[pos].special.edit.push('el hierro');
});

_.each([10,21], function (pos) {
	items[pos].special.edit.push('la palma');
});

var itemsId = [];

// Asignamos un id único a cada item
_.each(items, function (item) {
	var id = _.uniqueId('item_');
	itemsId.push(id);
	_.extend(item, {_id: id});
});

// Añadimos el campo special group a la categoría Mi ciudad
_.extend(categories[7], {
	special: {
		group: [
			[itemsId[20], itemsId[21], itemsId[25], itemsId[26], itemsId[27], itemsId[28]]
		],
		excludeValues: true,
		maxGroupSize: 5
	}
});

var boxes = [
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] }
];

// Asignamos un id único y un index a cada caja
_.each(boxes, function (box, index) {
	_.extend(box, {_id: _.uniqueId('box_'), index: index});
});
